SmartlyFinancial = {
  today: function () {
    var today = new Date();
    var dd = String(today.getDate()).padStart(2, "0");
    var mm = String(today.getMonth() + 1).padStart(2, "0"); //January is 0!
    var yyyy = today.getFullYear();
    today = mm + "/" + dd + "/" + yyyy;
    document.getElementById("today").innerText = today;
  },
  bindMap: function () {
    $("path, circle").click(function (e) {
      var link = $(this).data("link");
      window.open(link, "_blank");
    });
  },
  loadMatrices: function (city) {
    var matrices = {
      california: {
        1: 11,
        2: 10,
        3: 9,
        4: 8,
        5: 7,
        6: 6,
        7: 5,
        8: 4,
        9: 3,
        10: 2,
        11: 1,
      },
      "new york": {
        1: 11,
        2: 10,
        3: 9,
        4: 8,
        5: 7,
        6: 6,
        7: 5,
        8: 4,
        9: 3,
        10: 2,
        11: 1,
      },
    };
    return matrices[city];
  },
  initGeoIP: function () {
    let apiKey = "2480fb4b6d084ad5870e46899ae38f2c";
    $.getJSON(
      "https://ipgeolocation.abstractapi.com/v1/?api_key=" + apiKey,
      function (data) {
        if (!data.region) {
          document.querySelector("main").classList.add("active");
          return false;
        }
        //document.getElementById("city").innerText = data.city;
        var object = data.region ? data.region : data.country;
        //document.getElementById("country").innerText = "from " + object;
        //console.log(data);
        var matrix = SmartlyFinancial.loadMatrices(object.toLowerCase());
        if (!matrix) {
          return false;
        }
        var blocks = document.querySelectorAll(".sorting .row");
        for (var i = 0; i < blocks.length; i++) {
          blocks[i].style.order = matrix[blocks[i].dataset.id];
        }
        document.querySelector("main").classList.add("active");
      }
    );
  },
};
